package kr.lunaticbum.back.lun.configs

import jakarta.servlet.ServletContext
import org.springframework.web.WebApplicationInitializer
import org.springframework.web.filter.CharacterEncodingFilter


class SpringConfigClass : WebApplicationInitializer {

    override fun onStartup(servletContext: ServletContext) {
        val filter = servletContext.addFilter("encodingFilter", CharacterEncodingFilter::class.java)
        filter.setInitParameter("encoding", "UTF-8")
        filter.addMappingForServletNames(null, false, "dispatcher")
    }
}